> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-catalogues/product-catalogue-details/workflow.md).

# Workflow

### Add a creation wizard to the product catalogue

1. Click "Create wizard" on the Workflow page
2. Click "Save changes"

### Delete creation wizard

1. Click "Delete"-icon on
2. Click "Save changes"

### Add steps to the creation wizard

1. Click "+ Add step" on the Workflow page
2. Set headline and description
3. Click "Submit"
4. Add properties to the step
5. Click "Save changes"

### Edit creation wizard step

1. Click "Edit"-button
2. Change the attributes you wish to edit
3. Click "Submit"
4. Click "Save changes"

### Delete creation wizard step

1. Click "Delete"-button
2. Click "Save changes"

### Add properties to steps

1. Click "+ Add property to step" on the Workflow page
2. Select an attribute
3. Check the "Mandatory"-toggle if the attribute is mandatory
4. Click "Submit"
5. Click "Save changes"

### Edit properties of steps

1. Click the property you want to edit
2. Change the attributes you wish to edit
3. Click "Submit"
4. Click "Save changes"

{% hint style="info" %}
To create a new creation wizard it must have at least one step. In addition that step must have at least one property.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/product-catalogues/product-catalogue-details/workflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
